import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { WeekDay } from '@angular/common';
import { ControlValueAccessor } from '@angular/forms';
import { ViewMode } from './view-mode';
import { ZoomDirection } from '../util/zoom.animation';
export declare class DatepickerComponent implements ControlValueAccessor, OnChanges, OnInit {
    private cd;
    private locale;
    date: Date | number;
    dateChange: EventEmitter<Date>;
    min: Date | number;
    max: Date | number;
    deselectEnabled: boolean;
    dayFormat: string;
    monthFormat: string;
    yearFormat: string;
    headingFormat: string;
    weekStart: WeekDay;
    dayLabels: string[];
    weekDayLabels: string[];
    monthLabels: string[];
    view: ViewMode;
    initialTimestamp: number;
    currentTimestamp: number;
    selectedTimestamp: number;
    minTimestamp: number;
    maxTimestamp: number;
    zoomDirection: ZoomDirection;
    readonly ViewMode: typeof ViewMode;
    private onChange;
    private onTouched;
    constructor(cd: ChangeDetectorRef, locale: string);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    selectDay(timestamp: number | undefined): void;
    switchView(timestamp: number, view: ViewMode, direction: ZoomDirection): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
